io_uring_prep_ftruncate(3)

NAME
io_uring_prep_ftruncate - prepare an ftruncate request

SYNOPSIS
#include <liburing.h>

void io_uring_prep_ftruncate(struct io_uring_sqe *sqe,
                             int fd,
                             loff_t len);

DESCRIPTION

The io_uring_prep_ftruncate(3) function prepares an ftruncate request. The submission queue entry sqe is setup to use the file descriptor fd that should get truncated to the length indicated by the len argument. Applications must define _GNU_SOURCE to obtain the definition of this helper, as loff_t will not be defined without it.

RETURN VALUE
None

ERRORS
The CQE res field will contain the result of the operation. See the related man page for details on possible values. Note that where synchronous system calls will return -1 on failure and set errno to the actual error value, io_uring never uses errno. Instead it returns the negated errno directly in the CQE res field.

SEE ALSO
io_uring_get_sqe(3), io_uring_submit(3), ftruncate(2),